GCLOUD_SQL_INSTANCES_PATCH(1)

NAME

gcloud sql instances patch - updates the settings of a Cloud SQL instance

SYNOPSIS

gcloud sql instances patch INSTANCE [--activation-policy=ACTIVATION_POLICY] [--assign-ip] [--async] [--diff] [--enable-bin-log] [--enable-database-replication] [--follow-gae-app=FOLLOW_GAE_APP] [--gce-zone=GCE_ZONE] [--pricing-plan=PRICING_PLAN, -p PRICING_PLAN] [--replication=REPLICATION] [--require-ssl] [--tier=TIER, -t TIER] [--authorized-gae-apps=APP,[APP,...] | --clear-gae-apps] [--authorized-networks=NETWORK,[NETWORK,...] | --clear-authorized-networks] [--backup-start-time=BACKUP_START_TIME | --no-backup] [--clear-database-flags | --database-flags=FLAG=VALUE,[FLAG=VALUE,...]] [GLOBAL-FLAG ...]

DESCRIPTION
Updates the settings of a Cloud SQL instance.

POSITIONAL ARGUMENTS

    INSTANCE
        Cloud SQL instance ID.

FLAGS

    --activation-policy=ACTIVATION_POLICY
        The activation policy for this instance. This specifies when the instance should be activated and is applicable only when the instance state is RUNNABLE. ACTIVATION_POLICY must be one of: ALWAYS, NEVER, ON_DEMAND.

    --assign-ip
        The instance must be assigned an IP address.

    --async
        Do not wait for the operation to complete.

    --diff
        Show what changed as a result of the update.

    --enable-bin-log
        Enable binary log. If backup configuration is disabled, binary log should be disabled as well.

    --enable-database-replication
        Enable database replication. Applicable only for read replica instance(s). WARNING: Instance will be restarted.

    --follow-gae-app=FOLLOW_GAE_APP
        The App Engine app this instance should follow. It must be in the same region as the instance. WARNING: Instance may be restarted.

    --gce-zone=GCE_ZONE
        The preferred Compute Engine zone (e.g. us-central1-a, us-central1-b, etc.). WARNING: Instance may be restarted.

    --pricing-plan=PRICING_PLAN, -p PRICING_PLAN
        The pricing plan for this instance. PRICING_PLAN must be one of: PER_USE, PACKAGE.

    --replication=REPLICATION
        The type of replication this instance uses. REPLICATION must be one of: SYNCHRONOUS, ASYNCHRONOUS.

    --require-ssl
        mysqld should default to 'REQUIRE X509' for users connecting over IP.

    --tier=TIER, -t TIER
        The tier of service for this instance, for example D0, D1. WARNING: Instance will be restarted.

At most one of these may be specified:

    --authorized-gae-apps=APP,[APP,...]
        A list of App Engine app IDs that can access this instance.

    --clear-gae-apps
        Specified to clear the list of App Engine apps that can access this instance.

At most one of these may be specified:

    --authorized-networks=NETWORK,[NETWORK,...]
        The list of external networks that are allowed to connect to the instance. Specified in CIDR notation, also known as 'slash' notation (e.g. 192.168.100.0/24).

    --clear-authorized-networks
        Clear the list of external networks that are allowed to connect to the instance.

At most one of these may be specified:

    --backup-start-time=BACKUP_START_TIME
        The start time of daily backups, specified in the 24 hour format - HH:MM, in the UTC timezone.

    --no-backup
        Specified if daily backup should be disabled.

At most one of these may be specified:

    --clear-database-flags
        Clear the database flags set on the instance. WARNING: Instance will be restarted.

    --database-flags=FLAG=VALUE,[FLAG=VALUE,...]
        A comma-separated list of database flags to set on the instance. Use an equals sign to separate flag name and value. Flags without values, like skip_grant_tables, can be written out without a value after, e.g., skip_grant_tables=. Use on/off for booleans. View the Instance Resource API for allowed flags. (e.g., --database-flags max_allowed_packet=55555,skip_grant_tables=,log_output=1)

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.